[pkg-wine-party] [wine] 334/335: Support stable releases in import script.

Jens Reyer jreyer-guest at moszumanska.debian.org
Thu Apr 6 16:12:34 UTC 2017


This is an automated email from the git hooks/post-receive script.

jreyer-guest pushed a commit to branch master
in repository wine.

commit 5ac8ae694b576f77f4a760cb7d74f5377b08fafe
Author: Jens Reyer <jre.winesim at gmail.com>
Date:   Thu Apr 6 13:22:12 2017 +0200

    Support stable releases in import script.
---
 debian/changelog      |  1 +
 debian/scripts/import | 36 +++++++++++++++++++++++++++---------
 2 files changed, 28 insertions(+), 9 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 707835a..6ee1718 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -11,6 +11,7 @@ wine-development (2.5+dfsg-1) UNRELEASED; urgency=medium
   * Refresh patches.
   * Add +dfsg suffix to the upstream version.
   * Document purpose of the sonames2elf script.
+  * Support stable release 2.0 in import script.
 
  -- Jens Reyer <jre.winesim at gmail.com>  Thu, 06 Apr 2017 12:40:41 +0200
 
diff --git a/debian/scripts/import b/debian/scripts/import
index a6fd313..ff10496 100755
--- a/debian/scripts/import
+++ b/debian/scripts/import
@@ -8,28 +8,46 @@ if [ "$#" -lt "1" ]; then
   exit 1
 fi
 
-# terminate if we're not building from a git tree
+# set variables
+version="$1"
+debian="https://anonscm.debian.org/git/pkg-wine/wine.git"
+winehq="git://source.winehq.org/git/wine.git"
+tag="wine-$version"
+case $version in
+  2.0.*)
+    upstream_branch="upstream-2.0"
+    packaging_branch="buster-2.0"
+    ;;
+  *)
+    upstream_branch="upstream"
+    packaging_branch="master"
+    ;;
+esac
+
+# terminate if we're not building from a git tree,
+# or required branches don't exist
 if [ ! -d ".git" ]; then
   echo "error: importing only supported for git checkouts"
   exit 1
+elif [ ! -f ".git/refs/heads/${packaging_branch}" ]; then
+  echo "error: required branch ${packaging_branch} does not exist"
+  exit 1
+elif [ ! -f ".git/refs/heads/${upstream_branch}" ]; then
+  echo "error: required branch ${upstream_branch} does not exist"
+  exit 1
 fi
 
 # ignore changes to files that will be automatically generated
 git update-index --assume-unchanged configure include/config.h.in
 
 # pull specified tag from upstream repository
-version="$1"
-debian="https://anonscm.debian.org/git/pkg-wine/wine.git"
-upstream_branch="upstream"
-winehq="git://source.winehq.org/git/wine.git"
-tag="wine-$version"
 git checkout ${upstream_branch}
 git pull $debian ${upstream_branch}
 git pull --no-edit $winehq tag "$tag" || echo "unable to fetch tag $tag"
 
-# merge upstream into master (favoring "their" changes)
-git checkout master
-git merge --strategy-option=theirs upstream
+# merge upstream_branch into packaging_branch (favoring "their" changes)
+git checkout ${packaging_branch}
+git merge --strategy-option=theirs ${upstream_branch}
 
 # format the "New upstream release" message
 tag_time=`git cat-file tag "$tag" | sed -n 's/tagger .*<.*> \([0-9]*\) .*/\1/p'`

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-wine/wine.git



More information about the pkg-wine-party mailing list